## mbarcode-plugin-pythonqtwrapper 0.0.1-0

=== test/CPPPyWrapperExample/Makefile ===
#############################################################################
# Makefile for building: CPPPyWrapperExample
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Oct 30 13:38:07 2010
# Project:  CPPPyWrapperExample.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile CPPPyWrapperExample.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -I/usr/include/python2.5 -I/usr/include/python2.5 -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/PythonQt -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -ldl -lutil -lm -lpython2.5 -L/usr/lib -lPythonQt -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = CPPPyWrapperExample.cpp 
OBJECTS       = CPPPyWrapperExample.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		common.prf \
		python.prf \
		PythonQt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		CPPPyWrapperExample.pro
QMAKE_TARGET  = CPPPyWrapperExample
DESTDIR       = 
TARGET        = CPPPyWrapperExample

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: CPPPyWrapperExample.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		common.prf \
		python.prf \
		PythonQt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile CPPPyWrapperExample.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
common.prf:
python.prf:
PythonQt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile CPPPyWrapperExample.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/CPPPyWrapperExample1.0.0 || $(MKDIR) .tmp/CPPPyWrapperExample1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/CPPPyWrapperExample1.0.0/ && $(COPY_FILE) --parents CPPPyWrapperExample.cpp .tmp/CPPPyWrapperExample1.0.0/ && (cd `dirname .tmp/CPPPyWrapperExample1.0.0` && $(TAR) CPPPyWrapperExample1.0.0.tar CPPPyWrapperExample1.0.0 && $(COMPRESS) CPPPyWrapperExample1.0.0.tar) && $(MOVE) `dirname .tmp/CPPPyWrapperExample1.0.0`/CPPPyWrapperExample1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/CPPPyWrapperExample1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

CPPPyWrapperExample.o: CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CPPPyWrapperExample.o CPPPyWrapperExample.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
mbarcode-plugin-pythonqtwrapper (0.0.1-0) unstable; urgency=low

  * Initial plugin version

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 28 Sep 2010 14:00:00 +0100

## mbarcode-plugin-pythonqtwrapper 0.0.2-0

=== debian/changelog ===
mbarcode-plugin-pythonqtwrapper (0.0.2-0) unstable; urgency=low

  * New setup, using raw Python-C commands

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 16 Nov 2010 06:35:00 +0000

## mbarcode-plugin-pythonqtwrapper 0.0.3-0

=== debian/changelog ===
mbarcode-plugin-pythonqtwrapper (0.0.3-0) unstable; urgency=low

  * Change getName() method of sink wrapper to only ask Python code once to save calling overhead.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thu, 18 Nov 2010 10:29:00 +0000

=== debian/control ===
Source: mbarcode-plugin-pythonqtwrapper
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-dev, mbarcode-dev (>=0.1.1-3), python-dev, libpythonqt
Standards-Version: 3.7.2

Package: mbarcode-plugin-pythonqtwrapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode, libpythonqt
Description: This plugin hosts Python plugins using the PythonQT scripting system to allow the Python code access to the C++ application data.

## mbarcode-plugin-pythonqtwrapper 0.0.4-0

=== debian/changelog ===
mbarcode-plugin-pythonqtwrapper (0.0.4-0) unstable; urgency=low

  * Add shiboken initialisation to fix previously non-working Python signals

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thu, 23 Dec 2010 09:34:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
-                libqt4-dev, mbarcode-dev (>=0.1.1-3), python-dev, libpythonqt
+                libqt4-dev, mbarcode-dev (>=0.1.1-3), python-dev, libshiboken-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode-plugin-pythonqtwrapper

## mbarcode-plugin-pythonqtwrapper 0.0.4-1

=== debian/changelog ===
mbarcode-plugin-pythonqtwrapper (0.0.4-1) unstable; urgency=low

  * Change some qDebug()s to stderr outputs to provide useful output for users.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thu, 31 Dec 2010 20:16:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,5 @@
 
 Package: mbarcode-plugin-pythonqtwrapper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode, libpythonqt
+Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode, libpythonqt, libshiboken1.0
 Description: This plugin hosts Python plugins using the PythonQT scripting system to allow the Python code access to the C++ application data.

=== debian/rules ===
#!/usr/bin/make -f


APPNAME := mbarcode-plugin-pythonqtwrapper
builddir:
		mkdir -p builddir

builddir/Makefile: builddir
		cd builddir && qmake PREFIX=/usr ../PythonQTWrapperPlugin.pro
        # should be changed to qmake-qt4 when PR1.2 is out

build: build-stamp

build-stamp: builddir/Makefile
		dh_testdir
		# Add here commands to compile the package.
		cd builddir && $(MAKE)
		touch $@

clean:
		dh_testdir
		dh_testroot
		rm -f build-stamp
		# Add here commands to clean up after the build process.
		rm -rf builddir
		dh_clean
install: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs

		# Add here commands to install the package into debian/your_appname
		cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_installdocs
		dh_installexamples
		dh_installman
		dh_link
		dh_strip
		dh_compress
		dh_fixperms
		dh_installdeb
		#dh_shlibdeps
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode-plugin-pythonqtwrapper 0.0.5-0

=== debian/changelog ===
mbarcode-plugin-pythonqtwrapper (0.0.5-0) unstable; urgency=low

  * Update to new plugin API

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 31 Jan 2011 23:41:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,5 @@
 
 Package: mbarcode-plugin-pythonqtwrapper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode, libpythonqt, libshiboken1.0
+Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode, libshiboken1.0
 Description: This plugin hosts Python plugins using the PythonQT scripting system to allow the Python code access to the C++ application data.
